%
% [xhatnext,Phatnext]=predict(A,B,u,xhat,Phat,Q)
%
% Performs a Kalman prediction step.
%
% Inputs:
%          A,B           System matrices.
%          u             input at time k-1.
%          xhat          estimated state at time k-1.
%          Phat          covariance of xhat.
%
% Outputs:
%          xhatnext      estimated state at time k.
%          Phatnext      covariance of xhatnext.
% 
function [xhatnext,Phatnext]=predict(A,B,u,xhat,Phat,Q)
%
% First, predict xhatnext.
%
xhatnext=A*xhat+B*u;
%
% Next, compute Phatnext.
%
Phatnext=A*Phat*A'+Q;
